//## begin module%1.4%.codegen_version preserve=yes
//   Read the documentation to learn more about C++ code generator
//   versioning.
//## end module%1.4%.codegen_version

//## begin module%4AAE88D503AF.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module%4AAE88D503AF.cm

//## begin module%4AAE88D503AF.cp preserve=no
//## end module%4AAE88D503AF.cp

//## Module: PlotPane%4AAE88D503AF; Package body
//## Subsystem: XSPlot::Plot%3D625E94026B
//## Source file: /local/data/xerxes1/gordon/headas/Xspec/src/XSPlot/Plot/PlotPane.cxx

//## begin module%4AAE88D503AF.additionalIncludes preserve=no
//## end module%4AAE88D503AF.additionalIncludes

//## begin module%4AAE88D503AF.includes preserve=yes
//## end module%4AAE88D503AF.includes

// PlotGroup
#include <XSPlot/Plot/PlotGroup.h>
// PlotPane
#include <XSPlot/Plot/PlotPane.h>


//## begin module%4AAE88D503AF.declarations preserve=no
//## end module%4AAE88D503AF.declarations

//## begin module%4AAE88D503AF.additionalDeclarations preserve=yes
//## end module%4AAE88D503AF.additionalDeclarations


// Class PlotPane 

PlotPane::PlotPane (const PlotRange& ranges, const StandardLabels& labels, const std::vector<PlotGroup*>& plotGroups)
  //## begin PlotPane::PlotPane%4AE8BCFC0214.hasinit preserve=no
  //## end PlotPane::PlotPane%4AE8BCFC0214.hasinit
  //## begin PlotPane::PlotPane%4AE8BCFC0214.initialization preserve=yes
  :m_ranges(ranges),
   m_labels(labels),
   m_panePosition(),
   m_stackIndex(0),
   // This ASSUMES plotGroups is NOT empty (PlotDirector should have
   // caught that case before creating this), and that just one
   // group exists for 2-D contour plots:
   m_isContour(plotGroups[0]->is2Dcontour),
   m_lineIDs(),
   m_plotGroups(plotGroups) // Non-owning, borrowed from PlotDirector.
  //## end PlotPane::PlotPane%4AE8BCFC0214.initialization
{
  //## begin PlotPane::PlotPane%4AE8BCFC0214.body preserve=yes
   m_panePosition.x1 = m_panePosition.x2 = m_panePosition.y1 = m_panePosition.y2 = 0.0;
  //## end PlotPane::PlotPane%4AE8BCFC0214.body
}


PlotPane::~PlotPane()
{
  //## begin PlotPane::~PlotPane%4AAE870602B3_dest.body preserve=yes
  //## end PlotPane::~PlotPane%4AAE870602B3_dest.body
}


// Additional Declarations
  //## begin PlotPane%4AAE870602B3.declarations preserve=yes
  //## end PlotPane%4AAE870602B3.declarations

//## begin module%4AAE88D503AF.epilog preserve=yes
//## end module%4AAE88D503AF.epilog
